package com.tofly.gpsboot.util;

import com.alibaba.fastjson.JSON;

public class ToflyJsonUtil {
    /**
     * 自己实现对象深拷贝
     * @param source
     * @param clazz
     * @param <T>
     * @return
     */
    public  static  <T> T  fromObjectToEntity(Object source, Class<T> clazz){

        T o = JSON.parseObject(JSON.toJSONString(source),clazz);
        return  o;
    }

}
